## gnome-sudoku 46.0

=== debian/changelog ===
gnome-sudoku (1:46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:12:30 +0000

gnome-sudoku (1:46.0-1) unstable; urgency=medium

  * New upstream release
    - 46.rc:
      + Fix complete board not finishing
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/53)
      + Fix warnings not updating correctly
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/44)
      + Show fixed cell selection in light mode
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/75)
      + Move show_possibilities to a hidden setting
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/72)
      + Fix long press not working
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/71)
    - 46.0:
      + Fix remove clearing too many warnings
      + Fix long press misbehaving
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/81)
      + Remove dark mode outer grid artifacts
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/81)

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 11:24:17 -0400

gnome-sudoku (1:46~beta-1) unstable; urgency=medium

  * New upstream release
    - 46.alpha:
      + Open and close popovers in one click instead of two
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/79)
      + Add missing mnemonics to several widgets
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/57,
         Automeris naranja)
      + Shorten tooltips
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/57,
         Automeris naranja)
      + Fix Play/Pause button tooltip
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/57,
         Automeris naranja)
      + Add missing ellipses in various menu items
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/57,
         Automeris naranja)
      + Hide timer by default and add menu item to enable it
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/61,
         Johan G.)
    - 46.beta:
      + Fix pause overlay flashing when game finished
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/86,
         Johan G.)
      + Save difficulty level
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/88,
         Johan G.)
      + Fix crash when creating custom game
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/97)
      + Update appdata
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/64,
         Sabri Ünal)
      + Properly destroy window on shutdown
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/66,
         Johan G.)
      + Refactor highlighter and highlight earmarks
        (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/69,
         Johan G.)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 15 Feb 2024 15:22:09 -0500

=== debian/control ===
Source: gnome-sudoku
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               itstool,
               libadwaita-1-dev (>= 1.4),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.40.0),
               libgtk-4-dev (>= 4.10.0),
               libjson-glib-dev,
               libqqwing-dev (>= 1.3.4),
               libxml2-utils,
               meson (>= 0.59),
               valac (>= 0.36),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
Homepage: https://wiki.gnome.org/Apps/Sudoku

Package: gnome-sudoku
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: yelp
Description: Sudoku puzzle game for GNOME
 This is an application for playing the popular sudoku logic puzzle
 game, in which one must fill a 9 by 9 square with the correct digits.
 .
 It features automatic puzzle generation, saving and restoring games,
 annotations, trackers, and much more.

## gnome-sudoku 46.1

=== debian/changelog ===
gnome-sudoku (1:46.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 16:22:58 -0400

## gnome-sudoku 46.2

=== debian/changelog ===
gnome-sudoku (1:46.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 12:35:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-sudoku
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
@@ -17,7 +16,7 @@
                libxml2-utils,
                meson (>= 0.59),
                valac (>= 0.36),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git

## gnome-sudoku 46.3

=== debian/changelog ===
gnome-sudoku (1:46.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 16:23:24 -0400

## gnome-sudoku 47~beta

=== debian/changelog ===
gnome-sudoku (1:47~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 13:48:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.4),
+               libadwaita-1-dev (>= 1.5),
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.40.0),
                libgtk-4-dev (>= 4.10.0),

## gnome-sudoku 47.0

=== debian/changelog ===
gnome-sudoku (1:47.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump minimum meson to 1.4 following upstream

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 18 Sep 2024 19:51:29 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,
-               meson (>= 0.59),
+               meson (>= 1.4),
                valac (>= 0.36),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## gnome-sudoku 47.1.1

=== debian/changelog ===
gnome-sudoku (1:47.1.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib, gtk4, & libadwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Oct 2024 16:45:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.5),
+               libadwaita-1-dev (>= 1.6),
                libgee-0.8-dev,
-               libglib2.0-dev (>= 2.40.0),
-               libgtk-4-dev (>= 4.10.0),
+               libglib2.0-dev (>= 2.76.0),
+               libgtk-4-dev (>= 4.15.2),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,

## gnome-sudoku 48~beta

=== debian/changelog ===
gnome-sudoku (1:48~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 17:51:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
+               blueprint-compiler (>= 0.16),
                desktop-file-utils,
-               dh-sequence-gnome,
                itstool,
                libadwaita-1-dev (>= 1.6),
                libgee-0.8-dev,
@@ -15,7 +18,7 @@
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,
                meson (>= 1.4),
-               valac (>= 0.36),
+               valac (>= 0.36)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
@@ -24,8 +27,7 @@
 
 Package: gnome-sudoku
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: yelp
 Description: Sudoku puzzle game for GNOME
  This is an application for playing the popular sudoku logic puzzle

## gnome-sudoku 48~rc

=== debian/changelog ===
gnome-sudoku (1:48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 14:19:16 -0500

## gnome-sudoku 48.0

=== debian/changelog ===
gnome-sudoku (1:48.0-2) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 13:44:07 -0400

## gnome-sudoku 48.1

=== debian/changelog ===
gnome-sudoku (1:48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 11:49:36 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
-Homepage: https://wiki.gnome.org/Apps/Sudoku
+Homepage: https://gitlab.gnome.org/GNOME/gnome-sudoku/-/wikis/home
 
 Package: gnome-sudoku
 Architecture: any

## gnome-sudoku 49~rc

=== debian/changelog ===
gnome-sudoku (1:49~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib, gtk4, and libadwaita
  * Remove obsolete Rules-Requires-Root: no field
  * Stop using dh-sequence-gnome
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 06:53:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,19 @@
            Jeremy Bícha <jbicha@ubuntu.com>,
            Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                blueprint-compiler (>= 0.16),
                desktop-file-utils,
                itstool,
-               libadwaita-1-dev (>= 1.6),
+               libadwaita-1-dev (>= 1.7),
                libgee-0.8-dev,
-               libglib2.0-dev (>= 2.76.0),
-               libgtk-4-dev (>= 4.15.2),
+               libglib2.0-dev (>= 2.80.0),
+               libgtk-4-dev (>= 4.18.0),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,
                meson (>= 1.4),
                valac (>= 0.36)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
 Homepage: https://gitlab.gnome.org/GNOME/gnome-sudoku/-/wikis/home

## gnome-sudoku 49.0

=== debian/changelog ===
gnome-sudoku (1:49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Sep 2025 09:53:20 -0400

## gnome-sudoku 49.1

=== debian/changelog ===
gnome-sudoku (1:49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:07:13 -0400

## gnome-sudoku 49.2

=== meson_options.txt ===
option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with profile appended to application ID (currently "Devel" is the only supported profile)'
)

=== debian/changelog ===
gnome-sudoku (1:49.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1115238)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Oct 2025 11:00:17 -0400

## gnome-sudoku 49.3

=== debian/changelog ===
gnome-sudoku (1:49.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jan 2026 19:11:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: gnome-sudoku
 Section: games
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
-           Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
 Build-Depends: debhelper-compat (= 13),
                blueprint-compiler (>= 0.16),
                desktop-file-utils,
@@ -18,7 +15,7 @@
                libxml2-utils,
                meson (>= 1.4),
                valac (>= 0.36)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
 Homepage: https://gitlab.gnome.org/GNOME/gnome-sudoku/-/wikis/home
